changeCloudMysqlServerSpec

Prev Next

Available in VPC

Change the DB server specifications for a Cloud DB for MySQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmysql/v2/changeCloudMysqlServerSpec
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL instance whose DB server specifications you want to change.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
isRolling Boolean Optional Rolling upgrade status
  • true | false (default)
    • true: Minimize service disruption by sequentially changing server instances one by one (but only supported in G3 specifications).
    • false: Change after stopping the all servers simultaneously.
cloudMysqlInstanceNo String Required Cloud DB for MySQL instance number
cloudMysqlProductCode String Required Cloud DB for MySQL product code
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/changeCloudMysqlServerSpec
?regionCode=KR
&cloudMysqlInstanceNo=****890
&cloudMysqlProductCode=SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
  "changeCloudMysqlServerSpecResponse": {
    "requestId": "eb46ade8-****-****-****-133bcbc382c1",
    "returnCode": "0",
    "returnMessage": "success",
    "totalRows": 1,
    "cloudMysqlInstanceList": [
      {
        "cloudMysqlInstanceNo": "****890",
        "cloudMysqlServiceName": "test-****",
        "cloudMysqlInstanceStatusName": "upgrading",
        "cloudMysqlInstanceStatus": {
          "code": "CREAT",
          "codeName": "CLOUD DATABASE(VPC) Created State"
        },
        "cloudMysqlInstanceOperation": {
          "code": "UPGD",
          "codeName": "CLOUD DATABASE(VPC) Upgrade OP"
        },
        "cloudMysqlImageProductCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050",
        "engineVersion": "MYSQL8.0.25",
        "license": {
          "code": "GPL",
          "codeName": "General Public License"
        },
        "cloudMysqlPort": 13306,
        "isHa": true,
        "isMultiZone": true,
        "isBackup": true,
        "backupFileRetentionPeriod": 10,
        "backupTime": "02:00",
        "generationCode": "G2",
        "createDate": "2024-05-23T11:25:09+0900",
        "accessControlGroupNoList": [],
        "cloudMysqlConfigList": [],
        "cloudMysqlServerInstanceList": [
          {
            "cloudMysqlServerName": "test-****-001-e04",
            "cloudMysqlServerRole": {
              "code": "M",
              "codeName": "Master"
            },
            "cloudMysqlServerInstanceStatusName": "settingUp",
            "cloudMysqlServerInstanceStatus": {
              "code": "RUN",
              "codeName": "CLOUD DATABASE(VPC) Server Running State"
            },
            "cloudMysqlServerInstanceOperation": {
              "code": "SETUP",
              "codeName": "CLOUD DATABASE(VPC) Server Setup OP"
            },
            "cloudMysqlProductCode": "SVR.VDBAS.STAND.C004.M016.NET.HDD.B050.G002",
            "regionCode": "KR",
            "zoneCode": "KR-1",
            "vpcNo": "****83",
            "subnetNo": "****91",
            "isPublicSubnet": true,
            "dataStorageType": {
              "code": "SSD",
              "codeName": "SSD"
            },
            "isStorageEncryption": true,
            "dataStorageSize": 10737418240,
            "cpuCount": 2,
            "memorySize": 8589934592,
            "createDate": "2024-05-23T11:25:09+0900"
          },
          {
            "cloudMysqlServerName": "test-****-002-e05",
            "cloudMysqlServerRole": {
              "code": "H",
              "codeName": "Standby Master"
            },
            "cloudMysqlServerInstanceStatusName": "settingUp",
            "cloudMysqlServerInstanceStatus": {
              "code": "RUN",
              "codeName": "CLOUD DATABASE(VPC) Server Running State"
            },
            "cloudMysqlServerInstanceOperation": {
              "code": "SETUP",
              "codeName": "CLOUD DATABASE(VPC) Server Setup OP"
            },
            "cloudMysqlProductCode": "SVR.VDBAS.STAND.C004.M016.NET.HDD.B050.G002",
            "regionCode": "KR",
            "zoneCode": "KR-2",
            "vpcNo": "****83",
            "subnetNo": "****93",
            "isPublicSubnet": true,
            "dataStorageType": {
              "code": "SSD",
              "codeName": "SSD"
            },
            "isStorageEncryption": true,
            "dataStorageSize": 10737418240,
            "cpuCount": 2,
            "memorySize": 8589934592,
            "createDate": "2024-05-23T11:25:09+0900"
          }
        ]
      }
    ]
  }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<changeCloudMysqlServerSpecResponse>
  <requestId>eb46ade8-****-****-****-133bcbc382c1</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <cloudMysqlInstanceList>
    <cloudMysqlInstance>
      <cloudMysqlInstanceNo>****890</cloudMysqlInstanceNo>
      <cloudMysqlServiceName>test-****</cloudMysqlServiceName>
      <cloudMysqlInstanceStatusName>upgrading</cloudMysqlInstanceStatusName>
      <cloudMysqlInstanceStatus>
        <code>CREAT</code>
        <codeName>CLOUD DATABASE(VPC) Created State</codeName>
      </cloudMysqlInstanceStatus>
      <cloudMysqlInstanceOperation>
        <code>UPGD</code>
        <codeName>CLOUD DATABASE(VPC) Upgrade OP</codeName>
      </cloudMysqlInstanceOperation>
      <cloudMysqlImageProductCode>SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050</cloudMysqlImageProductCode>
      <engineVersion>MYSQL8.0.25</engineVersion>
      <license>
        <code>GPL</code>
        <codeName>General Public License</codeName>
      </license>
      <cloudMysqlPort>13306</cloudMysqlPort>
      <isHa>true</isHa>
      <isMultiZone>true</isMultiZone>
      <isBackup>true</isBackup>
      <backupFileRetentionPeriod>10</backupFileRetentionPeriod>
      <backupTime>02:00</backupTime>
      <generationCode>G2</generationCode>
      <createDate>2024-05-23T11:25:09+0900</createDate>
      <accessControlGroupNoList />
      <cloudMysqlConfigList />
      <cloudMysqlServerInstanceList>
        <cloudMysqlServerInstance>
          <cloudMysqlServerName>test-****-001-4y1v</cloudMysqlServerName>
          <cloudMysqlServerRole>
            <code>M</code>
            <codeName>Master</codeName>
          </cloudMysqlServerRole>
          <cloudMysqlServerInstanceStatusName>settingUp</cloudMysqlServerInstanceStatusName>
          <cloudMysqlServerInstanceStatus>
            <code>RUN</code>
            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
          </cloudMysqlServerInstanceStatus>
          <cloudMysqlServerInstanceOperation>
            <code>SETUP</code>
            <codeName>CLOUD DATABASE(VPC) Server Setup OP</codeName>
          </cloudMysqlServerInstanceOperation>
          <cloudMysqlProductCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</cloudMysqlProductCode>
          <regionCode>KR</regionCode>
          <zoneCode>KR-1</zoneCode>
          <vpcNo>****83</vpcNo>
          <subnetNo>****91</subnetNo>
          <isPublicSubnet>true</isPublicSubnet>
          <dataStorageType>
            <code>SSD</code>
            <codeName>SSD</codeName>
          </dataStorageType>
          <isStorageEncryption>true</isStorageEncryption>
          <dataStorageSize>10737418240</dataStorageSize>
          <cpuCount>2</cpuCount>
          <memorySize>8589934592</memorySize>
          <createDate>2024-05-23T11:25:09+0900</createDate>
        </cloudMysqlServerInstance>
        <cloudMysqlServerInstance>
          <cloudMysqlServerName>test-****-002-e05</cloudMysqlServerName>
          <cloudMysqlServerRole>
            <code>H</code>
            <codeName>Standby Master</codeName>
          </cloudMysqlServerRole>
          <cloudMysqlServerInstanceStatusName>settingUp</cloudMysqlServerInstanceStatusName>
          <cloudMysqlServerInstanceStatus>
            <code>RUN</code>
            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
          </cloudMysqlServerInstanceStatus>
          <cloudMysqlServerInstanceOperation>
            <code>SETUP</code>
            <codeName>CLOUD DATABASE(VPC) Server Setup OP</codeName>
          </cloudMysqlServerInstanceOperation>
          <cloudMysqlProductCode>SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002</cloudMysqlProductCode>
          <regionCode>KR</regionCode>
          <zoneCode>KR-2</zoneCode>
          <vpcNo>****83</vpcNo>
          <subnetNo>****93</subnetNo>
          <isPublicSubnet>true</isPublicSubnet>
          <dataStorageType>
            <code>SSD</code>
            <codeName>SSD</codeName>
          </dataStorageType>
          <isStorageEncryption>true</isStorageEncryption>
          <dataStorageSize>10737418240</dataStorageSize>
          <cpuCount>2</cpuCount>
          <memorySize>8589934592</memorySize>
          <createDate>2024-05-23T11:25:09+0900</createDate>
        </cloudMysqlServerInstance>
      </cloudMysqlServerInstanceList>
    </cloudMysqlInstance>
  </cloudMysqlInstanceList>
</changeCloudMysqlServerSpecResponse>